From bbde27da74f343a69a205c0feb9b844e2fbd0d27 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 15 Feb 2012 13:57:19 -0600
Subject: Curve to checkbox should adhere to rawgrade check

---
 grade/edit/tree/item_form.php |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/grade/edit/tree/item_form.php b/grade/edit/tree/item_form.php
index e16fa42..be1ecef 100644
--- a/grade/edit/tree/item_form.php
+++ b/grade/edit/tree/item_form.php
@@ -226,6 +226,10 @@ class edit_item_form extends moodleform {
             if (!$grade_item->is_raw_used()) {
                 $mform->removeElement('plusfactor');
                 $mform->removeElement('multfactor');
+
+                if ($mform->elementExists('curve_to')) {
+                    $mform->removeElement('curve_to');
+                }
             }
 
             if ($grade_item->is_outcome_item()) {
-- 
1.7.1


